Get Pathway
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/pathway \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/pathway"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/pathway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get Pathway
Get the full pathway (nodes + edges) for a project
GET
/
v1
/
projects
/
{projectId}
/
pathway
Get Pathway
Request
GET https://api.pathors.com/v1/projects/{projectId}/pathway
Path Parameters
string
required
The project ID
Headers
string
required
Bearer token using your developer key
Response
Returns the full pathway data including all nodes, edges, and metadata.Example
curl https://api.pathors.com/v1/projects/{projectId}/pathway \
-H "Authorization: Bearer dk_your_key"
{
"data": {
"nodes": [
{
"id": "node-1",
"type": "prompt",
"position": { "x": 0, "y": 0 },
"data": {
"type": "start",
"title": "Welcome",
"prompt": "Greet the user and ask how you can help.",
"tools": ["tool-uuid-1"]
}
}
],
"edges": [
{
"id": "edge-1",
"source": "node-1",
"target": "node-2",
"data": { "condition": "User wants to book" }
}
],
"version": "1.0",
"updatedAt": "2026-03-07T00:00:00.000Z"
}
}
⌘I
